%define upstream_name    HTML-Template-Pluggable
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extends HTML::Template with plugin support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Trigger)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
By adding support for this dot notation to the HTML::Template manpage, the
programmers' job of sending data to the template is easier, and designers
have easier access to more data to display in the template, without
learning any more tag syntax.

EXAMPLES
Class::DBI integration
    the Class::DBI manpage accessors can be used in the template. If the
    accessor is never called in the template, that data doesn't have to be
    loaded.

    In the code:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 368151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 32060
- mageia rebuild
- imported package perl-HTML-Template-Pluggable

